<template>
	<view class="main-container">
		<page-header :fixedHeight="fixedHeight" :naviBarHeight="naviBarHeight"></page-header>
		<view class="list-container">
			<view :class="isBigiPhone ? 'list-upper-container-big' : 'list-upper-container'">
				<view class="list-logo"></view>
				<view class="list-desc"></view>
			</view>
			<scroll-view :class="isBigiPhone ? 'list-lower-container-big' : 'list-lower-container'" scroll-y="true" show-scrollbar="false">
				<view class="list-inner-container">
					<view class="list-item" v-for="(food, index) in foodList" :key="index" :class="shouldMarginRight(index) ? 'list-item-margin' : ''" @click="goDetail(food)">
						<image class="item-img" :src="food.img" mode="aspectFill" lazy-load="true"></image>
						<view class="item-desc">{{ food.foodname }}</view>
						<view class="item-btm">
							<view class="item-name">{{ food.foodnumber }}号作品-{{ food.from }}</view>
							<view class="item-like">{{ food.likes }}</view>
						</view>
					</view>
					<view class="list-item-bottom"></view>
				</view>
			</scroll-view>
			<view class="handle-btn" v-if="handleShowHandleBtn"><view class="handle-btn-area" @click="goMyVote"></view></view>
		</view>
		<view :class="isBigiPhone ? 'rule-btn-big' : 'rule-btn'" @click="handleRule(true)"></view>
		<view :class="isBigiPhone ? 'rank-btn-big' : 'rank-btn'" @click="checkRank"></view>
		<view class="rule-mask-container" v-if="showRuleMask">
			<view class="rule-item">
				<view class="rule-scroll-bar" v-if="showRuleScroll">
					<view class="rule-scroll-item" :style="{top: ruleScrollTop + 'px'}"></view>
				</view>
				<scroll-view class="rule-inner-container" show-scrollbar="false" scroll-y="true" @scroll="handleRuleScrolling">
					<view class="rule-inner"></view>
				</scroll-view>
				<view class="rule-inner-btn" @click="handleRule(false)"></view>
			</view>
		</view>
	</view>
</template>

<script>
import PageHeader from './pageHeader.vue';

export default {
	onLoad() {
		this.fixedWidth = wx.getSystemInfoSync().windowWidth;
	},
	data() {
		return {
			fixedHeight: getApp().globalData.fixedHeight,
			naviBarHeight: getApp().globalData.naviBarHeight,
			hasHandleAuth: false,
			showHandleBtn: false,
			showRuleMask: false,
			foodList: null,
			ruleScrollTop: 0,
			showRuleScroll: true,
			fixedWidth: null,
			itemList: [
				{
					name: '1',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/1-1.png',
					desc: '北京糖醋素丸子',
					like: 1234,
					from: '北京四元桥'
				},
				{
					name: '2',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/2-1.png',
					desc: '红烩肉丸',
					like: 12345,
					from: '北京西红门'
				},
				{
					name: '3',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/3-1.png',
					desc: '杭椒酱爆肉丸',
					like: 1234,
					from: '北京西红门'
				},
				{
					name: '4',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/4-1.png',
					desc: '桂花红烧肉丸',
					like: 12345,
					from: '北京西红门'
				},
				{
					name: '5',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/5-1.png',
					desc: '南乳汁烧肉丸',
					like: 1234,
					from: '北京西红门'
				},
				{
					name: '6',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/6-1.png',
					desc: '鱼香瑞典式肉丸',
					like: 12345,
					from: '成都成华'
				},
				{
					name: '7',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/7-1.png',
					desc: '属你最能“丸”',
					like: 1234,
					from: '成都高新'
				},
				{
					name: '8',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/8-1.png',
					desc: '“贵妃”肉丸',
					like: 1234,
					from: '成都高新'
				},
				{
					name: '9',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/9-1.png',
					desc: '火锅遇见丸子兄弟',
					like: 12345,
					from: '重庆'
				},
				{
					name: '10',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/10-1.png',
					desc: '什锦丸子披萨',
					like: 1234,
					from: '重庆'
				},
				{
					name: '11',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/11-1.png',
					desc: '富贵金汤捞',
					like: 1234,
					from: '重庆'
				},
				{
					name: '12',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/12-1.png',
					desc: '青芦笋烧椒蔬菜丸',
					like: 12345,
					from: '重庆'
				},
				{
					name: '13',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/13-1.png',
					desc: '脆香杏仁肉丸',
					like: 1234,
					from: '重庆'
				},
				{
					name: '14',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/14-1.png',
					desc: '飘香辣子肉丸',
					like: 12345,
					from: '重庆'
				},
				{
					name: '15',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/15-1.png',
					desc: '糖油粑粑裹圆子',
					like: 1234,
					from: '长沙'
				},
				{
					name: '16',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/16-1.png',
					desc: '西柠香菠肉丸',
					like: 12345,
					from: '大连'
				},
				{
					name: '17',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/17-1.png',
					desc: '芝士流心肉丸',
					like: 1234,
					from: '大连'
				},
				{
					name: '18',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/18-1.png',
					desc: 'BBQ肉丸配薯角',
					like: 1234,
					from: '佛山'
				},
				{
					name: '19',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/19-1.png',
					desc: '丝瓜鱼腐浸肉丸',
					like: 12345,
					from: '佛山'
				},
				{
					name: '20',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/20-1.png',
					desc: '素菜咖喱煮肉丸',
					like: 1234,
					from: '广州番禺'
				},
				{
					name: '21',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/21-1.png',
					desc: '黄金鸡肉丸配薯角',
					like: 1234,
					from: '广州天河'
				},
				{
					name: '22',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/22-1.png',
					desc: '叻沙汤浸双丸粉丝',
					like: 12345,
					from: '广州天河'
				},
				{
					name: '23',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/23-1.png',
					desc: '贵州酸汤烩肉丸',
					like: 1234,
					from: '贵阳'
				},
				{
					name: '24',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/24-1.png',
					desc: '黄金丸子',
					like: 12345,
					from: '贵阳'
				},
				{
					name: '25',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/25-1.png',
					desc: '肉丸三明治',
					like: 1234,
					from: '哈尔滨'
				},
				{
					name: '26',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/26-1.png',
					desc: '西湖桂花糖醋丸子',
					like: 12345,
					from: '杭州'
				},
				{
					name: '27',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/27-1.png',
					desc: '焦溜肉圆',
					like: 1234,
					from: '济南'
				},
				{
					name: '28',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/28-1.png',
					desc: '茄汁龙珠',
					like: 1234,
					from: '南京'
				},
				{
					name: '29',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/29-1.png',
					desc: '鸡汁干丝烩肉丸',
					like: 12345,
					from: '南京'
				},
				{
					name: '30',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/30-1.png',
					desc: '香沙芋艿烧肉丸',
					like: 1234,
					from: '南通'
				},
				{
					name: '31',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/31-1.png',
					desc: '金玉良丸',
					like: 1234,
					from: '宁波'
				},
				{
					name: '32',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/32-1.png',
					desc: '日式照烧肉丸',
					like: 12345,
					from: '青岛'
				},
				{
					name: '33',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/33-1.png',
					desc: '天妇罗肉丸串',
					like: 1234,
					from: '上海宝山'
				},
				{
					name: '34',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/34-1.png',
					desc: '“肉桂”遇上肉丸',
					like: 12345,
					from: '上海北蔡'
				},
				{
					name: '35',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/35-1.png',
					desc: '芝士土豆焗肉丸',
					like: 1234,
					from: '上海北蔡'
				},
				{
					name: '36',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/36-1.png',
					desc: '糖醋肉丸饭',
					like: 12345,
					from: '上海徐汇'
				},
				{
					name: '37',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/37-1.png',
					desc: '四喜丸子饭',
					like: 1234,
					from: '上海徐汇'
				},
				{
					name: '38',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/38-1.png',
					desc: '红烧肉丸饭',
					like: 1234,
					from: '上海徐汇'
				},
				{
					name: '39',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/39-1.png',
					desc: '金沙燕麦球',
					like: 12345,
					from: '上海杨浦'
				},
				{
					name: '40',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/40-1.png',
					desc: '金汤肉丸意面',
					like: 1234,
					from: '沈阳'
				},
				{
					name: '41',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/41-1.png',
					desc: '苏城尽带黄金甲',
					like: 1234,
					from: '苏州'
				},
				{
					name: '42',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/42-1.png',
					desc: '津门珍汁小丸子',
					like: 12345,
					from: '天津东丽'
				},
				{
					name: '43',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/43-1.png',
					desc: '天津糖醋肉圆',
					like: 1234,
					from: '天津中北'
				},
				{
					name: '44',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/44-1.png',
					desc: '无锡糖醋小丸子',
					like: 12345,
					from: '无锡'
				},
				{
					name: '45',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/45-1.png',
					desc: '大武汉热干丸子面',
					like: 1234,
					from: '武汉'
				},
				{
					name: '46',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/46-1.png',
					desc: '肉丸胡辣汤',
					like: 12345,
					from: '西安'
				},
				{
					name: '47',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/47-1.png',
					desc: '糖醋丸子',
					like: 1234,
					from: '西安'
				},
				{
					name: '48',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/48-1.png',
					desc: '蔬菜肉丸串',
					like: 1234,
					from: '西安'
				},
				{
					name: '49',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/49-1.png',
					desc: '肉丸地三鲜',
					like: 12345,
					from: '西安'
				},
				{
					name: '50',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/50-1.png',
					desc: '徐州干煸小丸子',
					like: 1234,
					from: '徐州'
				},
				{
					name: '51',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/51-1.png',
					desc: '徐州咖喱小丸子',
					like: 12345,
					from: '徐州'
				},
				{
					name: '52',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/52-1.png',
					desc: '合家团圆',
					like: 1234,
					from: '郑州'
				}
			],
			isBigiPhone: null
		};
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: '/meatball/list',
			label: 'pv'
		});
		this.hasHandleAuth = getApp().globalData.hasHandleAuth;
		if (this.hasHandleAuth) {
			this.showHandleBtn = true;
		}
		console.log("Check hasHandleAuth at list === ", this.hasHandleAuth);
		this.isBigiPhone = getApp().globalData.isBigiPhone;
		this.fetchList();
		this.fetchUserInfo();
	},
	methods: {
		fetchList() {
			uni.showLoading({
				title: '加载中',
				mask: true
			})
			uni.request({
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=foodList',
				success: (res) => {
					console.log("fetchList res === ", res);
					uni.hideLoading()
					if (res.data.status === "1") {
						this.foodList = res.data.data.foodlist;
						console.log("fetchList foodList === ", this.foodList);
						this.fixEvent().then(() => {
							console.log("check handle List === ", this.foodList);
							this.fetchUserInfo();
						})
					}
				},
				fail: (err) => {
					console.log("fetchList err === ", err);
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
					uni.hideLoading()
				}
			})
		},
		fetchUserInfo() {
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=userInfo',
				data: {
					uid: getApp().globalData.userUnionIdCook
				},
				success: (res) => {
					console.log("fetchUserInfo res === ", res);
					uni.hideLoading()
					if (res.data.status === "1") {
						getApp().globalData.userVoteInfoCook = res.data.data;
					}
				},
				fail: (err) => {
					console.log("fetchList err === ", err);
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			})
		},
		fixEvent () {
			return new Promise(resolve => {
				console.log("handle fixEvent");
				for (let i = 0; i <= 51; i++) {
					this.foodList[i].img = this.itemList[i].img;
					this.foodList[i].from = this.itemList[i].from;
				}
				resolve();
			})
		},
		goMyVote() {
			getApp().td_app_sdk.event({
				id: 'meatball_list_查看我的投票',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/meatball/myVote'
			});
		},
		goDetail(item) {
			getApp().td_app_sdk.event({
				id: 'meatball_list_查看详情',
				label: 'click'
			});
			if (!this.hasHandleAuth) {
				return;
			}
			console.log('goDetail === ', item);
			uni.navigateTo({
				// url: '/pages/meatball/detail?info=' + JSON.stringify(item)
				url: '/pages/meatball/detail?info=' + item.foodnumber
			})
		},
		checkRank() {
			getApp().td_app_sdk.event({
				id: 'meatball_list_查看排行榜',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/meatball/rank'
			})
		},
		handleRule(type) {
			getApp().td_app_sdk.event({
				id: 'meatball_list_点击活动规则',
				label: 'click'
			});
			this.ruleScrollTop = 0;
			this.showRuleMask = type;
		},
		handleRuleScrolling(e) {
			console.log("handleRuleScrolling === e", e);
			// px = rpx / 750 * wx.getSystemInfoSync().windowWidth
			let containerHeight = 510 / 750 * this.fixedWidth; // rpx
			let barHeight = 214 / 750 * this.fixedWidth; // rpx
			let scrollTop = e.detail.scrollTop;
			let scrollHeight = e.detail.scrollHeight;
			this.ruleScrollTop = (scrollTop / (scrollHeight - containerHeight) * (containerHeight - barHeight))
			console.log("check === ", (scrollTop / (scrollHeight - containerHeight)));
			console.log("ruleScrollTop === ", this.ruleScrollTop);
		},
		showRule() {
			this.showRuleMask = true;
		},
		shouldMarginRight(index) {
			if (index % 2 === 1) {
				return false;
			} else {
				return true;
			}
		},
		handleLike(like) {
			if (like >= 10000) {
				return (like - (like % 1000)) / 10000 + 'w';
			} else {
				return like;
			}
		},
		onShareAppMessage: res => {
			return {
				title: '票选人气肉丸 上榜宜家菜单',
				path: 'pages/meatball/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/meatball/share-back.jpg'
			};
		}
	},
	computed: {
		handleShowHandleBtn () {
			if (!this.hasHandleAuth) {
				return false;
			} else {
				return this.showHandleBtn;
			}
		}
	},
	components: {
		PageHeader
	}
};
</script>

<style lang="scss" scoped>
.main-container {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-wrap: wrap;
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-list-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: top center;
}
.list-container {
	width: 100%;
	height: 100vh;
	// display: flex;
	// flex-wrap: wrap;
	// justify-content: center;
	// align-items: flex-start;
}
.list-upper-container {
	width: calc(100vw - 52rpx);
	height: 142rpx;
	// margin: 131rpx auto 0 auto;
	margin: 168rpx auto 43rpx auto;
}
.list-upper-container-big {
	width: calc(100vw - 52rpx);
	height: 142rpx;
	// margin: 179rpx auto 0 auto;
	margin: 216rpx auto 43rpx auto;
}
.list-logo {
	width: 114rpx;
	height: 46rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-logo.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-left: 9rpx;
	margin-bottom: 22rpx;
}
.list-desc {
	width: 471rpx;
	height: 81rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/text-list-desc.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: top center;
	margin: 0 auto;
}
.list-lower-container {
	width: calc(100vw - 52rpx);
	// height: calc(100vh - 344rpx - 131rpx);
	height: calc(100vh - 142rpx - 208rpx);
	margin: 0 auto;
}
.list-lower-container-big {
	width: calc(100vw - 52rpx);
	// height: calc(100vh - 344rpx - 179rpx);
	height: calc(100vh - 142rpx - 256rpx);
	margin: 0 auto;
}
.list-inner-container {
	width: 100%;
	height: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
.list-item {
	width: 341rpx;
	height: 381rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-list-item-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-bottom: 20rpx;
}
.list-item-margin {
	margin-right: 18rpx;
}
.item-img {
	width: 335rpx;
	height: 245rpx;
	border: 2rpx solid transparent;
	border-radius: 10rpx 10rpx 0 0;
	margin-left: 2rpx;
	margin-top: 2rpx;
	display: block;
}
.item-name {
	// width: 302rpx;
	height: 20rpx;
	line-height: 20rpx;
	// margin-left: 18rpx;
	// margin-top: 22rpx;
	font-size: 20rpx;
	color: #b5b5b5;
}
.item-btm {
	width: 302rpx;
	height: 28rpx;
	display: flex;
	justify-content: space-between;
	flex-wrap: nowrap;
	margin-left: 18rpx;
	margin-top: 39rpx;
	position: relative;
}
.item-desc {
	width: 302rpx;
	height: 28rpx;
	line-height: 28rpx;
	font-size: 28rpx;
	color: #ffffff;
	font-weight: bold;
	margin-left: 18rpx;
	// margin-top: 14rpx;
	margin-top: 20rpx;
}
.item-like {
	position: absolute;
	// top: 2rpx;
	top: -2rpx;
	// left: 228rpx;
	left: 232rpx;
	height: 24rpx;
	line-height: 24rpx;
	font-size: 24rpx;
	color: #ce2424;
}
.list-item-bottom {
	width: 100%;
	height: 180rpx;
}
.handle-btn {
	position: absolute;
	bottom: -12rpx;
	left: calc((100% - 716rpx) / 2);
	width: 715rpx;
	height: 265rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-list-check-vote.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
}
.handle-btn-area {
	width: 560rpx;
	height: 102rpx;
}
.rule-btn {
	position: absolute;
	right: 0;
	// top: 231rpx;
	top: 168rpx;
	z-index: 4;
	width: 88rpx;
	height: 60rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-navi-rule.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rule-btn-big {
	position: absolute;
	right: 0;
	// top: 279rpx;
	top: 215rpx;
	z-index: 4;
	width: 88rpx;
	height: 60rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-navi-rule.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rank-btn {
	position: absolute;
	right: 0;
	top: 241rpx;
	z-index: 4;
	width: 88rpx;
	height: 63rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-navi-rank.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rank-btn-big {
	position: absolute;
	right: 0;
	top: 296rpx;
	z-index: 4;
	width: 88rpx;
	height: 63rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-navi-rank.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rule-mask-container {
	position: absolute;
	z-index: 10;
	width: 100vw;
	height: 100vh;
	background-color: rgba($color: #000, $alpha: 0.6);
	display: flex;
	justify-content: center;
	// align-items: flex-start;
	align-items: center;
}
.rule-item {
	width: 652rpx;
	height: 826rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-rule-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	// margin-top: 316rpx;
	position: relative;
	display: flex;
	justify-content: center;
	align-content: flex-start;
}
.rule-inner-container {
	width: 598rpx;
	height: 510rpx;
	margin-top: 172rpx;
	overflow-y: auto;
	position: relative;
}
// .rule-inner-container::-webkit-scrollbar {
// 	width: 6rpx !important;
// 	height: 510rpx !important;
// 	background-color: #eeeeee !important;
// }
// .rule-inner-container::-webkit-scrollbar-thumb {
// 	width: 100% !important;
// 	height: 214rpx !important;
// 	border-radius: 12rpx !important;
// 	background-color: #d4b589 !important;
// }
.rule-scroll-bar {
	position: absolute;
	right: 27rpx;
	top: 172rpx;
	width: 6rpx;
	height: 510rpx;
	border-radius: 12rpx;
	background-color: #eeeeee;
	overflow: hidden;
}
.rule-scroll-item {
	position: absolute;
	right: 0;
	width: 6rpx;
	height: 214rpx;
	border-radius: 12rpx;
	background-color: #d4b589;
}
.rule-inner {
	width: 548rpx;
	height: 1623rpx;
	// height: 1634rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-list-rule.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin: 11rpx auto 0 auto;
}
.rule-inner-btn {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 110rpx;
}
::-webkit-scrollbar {
	display: none !important;
	width: 0 !important;
	height: 0 !important;
	color: transparent !important;
}
</style>
